<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml">
    <gri:panel rendered="#{pnrIHEManager.editXDSFolder}">
        <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.XDSFolder']}</f:facet>
        <a4j:region>
            <div class="form-horizontal">

                <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.XDSFolderTitle']}</ui:define>
                    <h:inputText value="#{pnrIHEManager.selectedXDSFolder.title}" styleClass="form-control">
                        <a4j:ajax event="blur" render="treesubid"/>
                    </h:inputText>
                </s:decorate>

            </div>

        </a4j:region>
        <table width="100%" class="rf-dt">
            <thead class="rf-dt-thd">
            <tr class="rf-dt-shdr">
                <th class="rf-dt-shdr-c">
                    <b>#{messages['net.ihe.gazelle.xdstar.Opt']}</b>
                </th>
                <th class="rf-dt-shdr-c">
                    <b>#{messages['net.ihe.gazelle.xdstar.MetadataName']}</b>
                </th>
                <th class="rf-dt-shdr-c" colspan="2">
                    <b>#{messages['net.ihe.gazelle.xdstar.Values']})</b>
                </th>
            </tr>
            </thead>
            <tbody class="rf-dt-b">
            <a4j:repeat value="#{pnrIHEManager.selectedXDSFolder.externalIdentifier}" var="m">
                <tr class="rf-dt-r rf-dt-fst-r">
                    <td class="rf-dt-c">
                        #{pnrIHEManager.getOptionalityExtOnSelectedXDSFolder(m)}
                    </td>
                    <td class="rf-dt-c">
                        <h:panelGrid columns="3">
                            <h:outputText value="#{pnrIHEManager.getDisplayNameExt(m)}"/>
                            <gdk:spacer width="5"/>
                            <a4j:commandLink
                                    actionListener="#{pnrIHEManager.removeExtFromSelectedXDSFolder(m)}" execute="@this"
                                    rendered="#{pnrIHEManager.getOptionalityExtOnSelectedXDSFolder(m).equals('O')}"
                                    render="metadata_id">
                                <span class="gzl-icon-minus"/>
                            </a4j:commandLink>
                        </h:panelGrid>
                    </td>
                    <td class="rf-dt-c" colspan="2">
                        <h:inputText value="#{m.value}" size="70" maxlength="255" styleClass="form-control"/>
                    </td>
                </tr>
            </a4j:repeat>
            <!-- slot  -->
            <a4j:repeat value="#{pnrIHEManager.selectedXDSFolder.slot}" var="m">
                <tr class="rf-dt-r">
                    <td class="rf-dt-c">
                        #{pnrIHEManager.getOptionalitySlotOnSelectedXDSFolder(m)}
                    </td>
                    <td class="rf-dt-c">
                        <h:panelGrid columns="3">
                            <h:outputText value="#{m.name}"/>
                            <gdk:spacer width="5"/>
                            <a4j:commandLink
                                    actionListener="#{pnrIHEManager.removeSlotFromSelectedXDSFolder(m)}" execute="@this"
                                    rendered="#{pnrIHEManager.getOptionalitySlotOnSelectedXDSFolder(m).equals('O')}"
                                    render="metadata_id">
                                <span class="gzl-icon-minus"/>
                            </a4j:commandLink>
                        </h:panelGrid>
                    </td>
                    <td class="rf-dt-c" colspan="2">
                        <ui:include src="slot.xhtml">
                            <ui:param name="slot" value="#{m}"/>
                        </ui:include>
                    </td>
                </tr>
            </a4j:repeat>
            <!-- classifications -->
            <a4j:repeat value="#{pnrIHEManager.selectedXDSFolder.classification}" var="m">
                <tr class="rf-dt-r">
                    <td class="rf-dt-c" rowspan="#{pnrIHEManager.rownSpanClass(m)}">#{pnrIHEManager.getOptionalityClassOnSelectedXDSFolder(m)}</td>
                    <td class="rf-dt-c" rowspan="#{pnrIHEManager.rownSpanClass(m)}">
                        <h:panelGrid columns="3">
                            <h:outputText value="#{pnrIHEManager.getDisplayNameClass(m)}"/>
                            <gdk:spacer width="5"/>
                            <a4j:commandLink
                                    actionListener="#{pnrIHEManager.removeClassificationFromSelectedXDSFolder(m)}" execute="@this"
                                    rendered="#{pnrIHEManager.getOptionalityClassOnSelectedXDSFolder(m).equals('O')}"
                                    render="metadata_id">
                                <span class="gzl-icon-minus"/>
                            </a4j:commandLink>
                        </h:panelGrid>
                    </td>
                    <a4j:region rendered="#{!pnrIHEManager.isValueSet(m)}">
                        <td class="rf-dt-c">#{messages['net.ihe.gazelle.xdstar.DisplayName']}</td>
                        <td class="rf-dt-c">
                            <a4j:repeat value="#{m.name.localizedString}" var="name">
                                <h:panelGrid columns="3">
                                    <h:outputText value="#{name.value}"/>
                                    <gdk:spacer width="5"/>
                                    <a4j:commandLink
                                            actionListener="#{m.name.localizedString.remove(name)}" execute="@this"
                                            render="metadata_id">
                                        <span class="gzl-icon-minus"/>
                                    </a4j:commandLink>
                                </h:panelGrid>
                            </a4j:repeat>
                            <a4j:commandLink actionListener="#{pnrIHEManager.initSelectedInternationalStringType(m)}"
                                             oncomplete="jq162('#AddNameValue').modal('show');"
                                             render="AddNameValue"
                                             rendered="#{pnrIHEManager.canAddName(m.name)}">
                                <span class="gzl-icon-plus"/>
                            </a4j:commandLink>
                        </td>
                    </a4j:region>
                    <a4j:region rendered="#{pnrIHEManager.isValueSet(m)}">
                        <td class="rf-dt-c" colspan="2">
                            <h:selectOneMenu value="#{m.nodeRepresentation}" styleClass="form-control gzl-form-control gzl-select-text">
                                <f:selectItems value="#{pnrIHEManager.listValueSet(m)}"
                                               noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}"/>
                                <a4j:ajax event="change" listener="#{pnrIHEManager.updateClassificationByValueSet(m)}"/>
                            </h:selectOneMenu>
                        </td>
                    </a4j:region>
                </tr>
                <a4j:region rendered="#{!pnrIHEManager.isValueSet(m)}">
                    <tr class="rf-dt-r">
                        <td class="rf-dt-c">#{messages['net.ihe.gazelle.xdstar.Code']}</td>
                        <td class="rf-dt-c">
                            <h:inputText value="#{m.nodeRepresentation}" styleClass="form-control"/>
                        </td>
                    </tr>
                    <a4j:repeat value="#{m.slot}" var="slot">
                        <tr class="rf-dt-r">
                            <td class="rf-dt-c">
                                <h:panelGrid columns="3">
                                    <h:outputText value="#{slot.name}"/>
                                    <gdk:spacer width="5"/>
                                    <a4j:commandLink
                                            actionListener="#{m.slot.remove(slot)}" execute="@this"
                                            render="metadata_id"
                                            rendered="#{pnrIHEManager.getOptionalitySlotOnClassification(slot, m).equals('O')}">
                                        <span class="gzl-icon-minus"/>
                                    </a4j:commandLink>
                                </h:panelGrid>
                            </td>
                            <td class="rf-dt-c">
                                <ui:include src="slot.xhtml">
                                    <ui:param name="slot" value="#{slot}"/>
                                </ui:include>
                            </td>
                        </tr>
                    </a4j:repeat>
                    <a4j:region rendered="#{pnrIHEManager.hasOptionalSlotYet(m)}">
                        <tr class="rf-dt-r">
                            <td class="rf-dt-c" colspan="2">
                                <a4j:commandLink actionListener="#{pnrIHEManager.setSelectedClassificationType(m)}"
                                                 value="#{messages['net.ihe.gazelle.xdstar.AddOptionalMetadataRelatedTo']} #{pnrIHEManager.getDisplayNameClass(m)}"
                                                 oncomplete="jq162('#ClassificationSlotOptional').modal('show')" render="ClassificationSlotOptional"/>
                            </td>
                        </tr>
                    </a4j:region>
                    #{messages['net.ihe.gazelle.xdstar.R']}
                </a4j:region>
            </a4j:repeat>
            </tbody>
        </table>
        <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.AddOptionalMetadata']}"
                           styleClass="gzl-btn-green"
                           rendered="#{pnrIHEManager.listOptionalMetadata.size() &gt; 0}"
                           actionListener="#{pnrIHEManager.initListOptionalMetadata()}"
                           oncomplete="jq162('#AddOptionalMetadata').modal('show');"
                           render="AddOptionalMetadataForm"/>
        <br/>
        <br/>
    </gri:panel>
</ui:composition>
